/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
export default {
  dev: {
    '/api/': {
      target: 'https://preview.pro.ant.design',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    // '/api/': {
    //   target: 'http://localhost:8080',
    //   changeOrigin: true,
    //   pathRewrite: { '^': '' },
    // },
    '/res/': {
      target: 'http://mapleonlyone.top',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    '/cash/tos-manager/': {
      target: 'http://acc-huahui.oss-cn-shenzhen.aliyuncs.com',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    '/tos/': {
      target: 'http://47.74.233.180:8651',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    // '/tos/': {
    //   target: 'http://localhost:8651',
    //   changeOrigin: true,
    //   pathRewrite: { '^': '' },
    // },
  },
  test: {
    '/api/': {
      target: 'https://preview.pro.ant.design',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    // '/api/': {
    //   target: 'http://localhost:8080',
    //   changeOrigin: true,
    //   pathRewrite: { '^': '' },
    // },
    '/res/': {
      target: 'http://mapleonlyone.top',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    '/cash/tos-manager/': {
      target: 'http://acc-huahui.oss-cn-shenzhen.aliyuncs.com',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    '/tos/': {
      target: 'http://47.74.233.180:8651',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    // '/tos/': {
    //   target: 'http://localhost:8651',
    //   changeOrigin: true,
    //   pathRewrite: { '^': '' },
    // },
  },
  pre: {
    // '/api/': {
    //   target: 'http://localhost:8080',
    //   changeOrigin: true,
    //   pathRewrite: { '^': '' },
    // },
    '/res/': {
      target: 'http://mapleonlyone.top',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    '/cash/tos-manager/': {
      target: 'http://acc-huahui.oss-cn-shenzhen.aliyuncs.com',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    '/tos/': {
      target: 'http://47.74.233.180:8651',
      changeOrigin: true,
      pathRewrite: { '^': '' },
    },
    // '/tos/': {
    //   target: 'http://localhost:8651',
    //   changeOrigin: true,
    //   pathRewrite: { '^': '' },
    // },
  },
};
