export const zhCnFaci = [
  {
    title: 'Check all',
    key: '0',
    children: [
      {
        title: 'life用户管理',
        key: '1',
        children: [
          { title: '查看用户', key: '2' },
          { title: '编辑用户', key: '3' },
          { title: '添加用户', key: '4' },
          { title: '删除单元', key: '5' },
          { title: '查看家属/租户', key: '6' },
          { title: '注销家属/租户', key: '7' },
        ],
      },
      {
        title: '服务商管理',
        key: '8',
        children: [
          { title: '查看服务商', key: '9' },
          { title: '编辑服务商', key: '10' },
          { title: '添加服务商', key: '11' },
          { title: '注销服务商', key: '12' },
          { title: '查看保安账号', key: '13' },
          { title: '注销保安账号', key: '14' },
        ],
      },
      {
        title: '物业费管理',
        key: '15',
        children: [{ title: '查看物业费', key: '16' }],
      },
      {
        title: '物业服务-小区保养',
        key: '17',
        children: [
          { title: '查看信息', key: '18' },
          { title: '回复信息', key: '19' },
        ],
      },
      {
        title: '物业服务-业主投诉',
        key: '20',
        children: [
          { title: '查看信息', key: '21' },
          { title: '回复信息', key: '22' },
        ],
      },
      {
        title: '物业服务-建议反馈',
        key: '23',
        children: [
          { title: '查看信息', key: '24' },
          { title: '回复信息', key: '25' },
        ],
      },
      {
        title: '物业服务-装修申请',
        key: '26',
        children: [
          { title: '查看信息', key: '27' },
          { title: '回复信息', key: '28' },
        ],
      },
      {
        title: '物业服务-住户卡申请',
        key: '29',
        children: [
          { title: '查看信息', key: '30' },
          { title: '回复信息', key: '31' },
          { title: '申请住户卡', key: '32' },
        ],
      },
      {
        title: '物业服务-在线报事',
        key: '33',
        children: [
          { title: '查看信息', key: '34' },
          { title: '回复信息', key: '35' },
        ],
      },
      {
        title: '物业服务-保质期服务',
        key: '36',
        children: [
          { title: '查看信息', key: '37' },
          { title: '回复信息', key: '38' },
        ],
      },
      {
        title: '合同管理',
        key: '39',
        children: [
          { title: '查看合同', key: '40' },
          { title: '添加合同', key: '41' },
          { title: '编辑合同', key: '42' },
        ],
      },
      {
        title: '小区列表',
        key: '43',
        children: [
          { title: '查看小区', key: '44' },
          { title: '编辑小区', key: '45' },
          { title: '添加小区', key: '46' },
          { title: '注销小区', key: '47' },
        ],
      },
      {
        title: '小区公告',
        key: '48',
        children: [
          { title: '查看公告', key: '49' },
          { title: '编辑公告', key: '50' },
          { title: '添加公告', key: '51' },
        ],
      },
      {
        title: '小区设施',
        key: '52',
        children: [
          { title: '查看预约设施', key: '53' },
          { title: '添加预约设施', key: '54' },
          { title: '取消预约设施', key: '55' },
          { title: '退还预约设施费用', key: '56' },
          { title: '查看设施', key: '57' },
          { title: '编辑设施', key: '58' },
          { title: '添加设施', key: '59' },
        ],
      },
      {
        title: '访客记录',
        key: '60',
        children: [{ title: '查看访客记录', key: '61' }],
      },
      {
        title: '账号管理',
        key: '62',
        children: [
          { title: '查看账号', key: '63' },
          { title: '编辑账号', key: '64' },
          { title: '添加账号', key: '65' },
          { title: '注销账号', key: '66' },
        ],
      },
    ],
  },
];

export const enUsFaci = [
  {
    title: 'Check all',
    key: '0',
    children: [
      {
        title: 'LIFE Users',
        key: '1',
        children: [
          { title: 'Check users', key: '2' },
          { title: 'Edit users', key: '3' },
          { title: 'Add users', key: '4' },
          { title: 'Delete unit', key: '5' },
          { title: 'Check family/tenants', key: '6' },
          { title: 'Log off family/tenants', key: '7' },
        ],
      },
      {
        title: 'Service Providers',
        key: '8',
        children: [
          { title: 'Check service providers', key: '9' },
          { title: 'Edit service providers', key: '10' },
          { title: 'Add service providers', key: '11' },
          { title: 'Log off service providers', key: '12' },
          { title: 'Check security account', key: '13' },
          { title: 'Log off security account', key: '14' },
        ],
      },
      {
        title: 'Property Management',
        key: '15',
        children: [{ title: 'View property fees', key: '16' }],
      },
      {
        title: 'Commercial Service-Community Maintenance',
        key: '17',
        children: [
          { title: 'See information', key: '18' },
          { title: 'Reply message', key: '19' },
        ],
      },
      {
        title: 'Commercial Service-Owner Complaints',
        key: '20',
        children: [
          { title: 'See information', key: '21' },
          { title: 'Reply message', key: '22' },
        ],
      },
      {
        title: 'Commercial Service-Problem Feedback',
        key: '23',
        children: [
          { title: 'See information', key: '24' },
          { title: 'Reply message', key: '25' },
        ],
      },
      {
        title: 'Commercial Service-Renovation Application',
        key: '26',
        children: [
          { title: 'See information', key: '27' },
          { title: 'Reply message', key: '28' },
        ],
      },
      {
        title: 'Commercial Service-AccessCard Application',
        key: '29',
        children: [
          { title: 'See information', key: '30' },
          { title: 'Reply message', key: '31' },
          { title: 'Apply accesscard', key: '32' },
        ],
      },
      {
        title: 'Commercial Service-Report Online',
        key: '33',
        children: [
          { title: 'See information', key: '34' },
          { title: 'Reply message', key: '35' },
        ],
      },
      {
        title: 'Commercial Service-Shelf Life Service',
        key: '36',
        children: [
          { title: 'See information', key: '37' },
          { title: 'Reply message', key: '38' },
        ],
      },
      {
        title: 'Contract Management',
        key: '39',
        children: [
          { title: 'Check contract', key: '40' },
          { title: 'Add contract', key: '41' },
          { title: 'Edit contract', key: '42' },
        ],
      },
      {
        title: 'Community',
        key: '43',
        children: [
          { title: 'Check community', key: '44' },
          { title: 'Edit community', key: '45' },
          { title: 'Add community', key: '46' },
          { title: 'Log off community', key: '47' },
        ],
      },
      {
        title: 'Announcement',
        key: '48',
        children: [
          { title: 'Check announcement', key: '49' },
          { title: 'Edit announcement', key: '50' },
          { title: 'Add announcement', key: '51' },
        ],
      },
      {
        title: 'Facility Bookings',
        key: '52',
        children: [
          { title: 'View booking facilities', key: '53' },
          { title: 'Add booking facilities', key: '54' },
          { title: 'Cancel booking facilities', key: '55' },
          { title: 'Refund of booking facility fee', key: '56' },
          { title: 'View facilities', key: '57' },
          { title: 'Edit facilities', key: '58' },
          { title: 'Add facilities', key: '59' },
        ],
      },
      {
        title: 'Visitor Record',
        key: '60',
        children: [{ title: 'View visitor record', key: '61' }],
      },
      {
        title: 'Account Management',
        key: '62',
        children: [
          { title: 'View account', key: '63' },
          { title: 'Edit account', key: '64' },
          { title: 'Add account', key: '65' },
          { title: 'Log off account', key: '66' },
        ],
      },
    ],
  },
];
